dnl Process this file with autoconf to produce a configure script.
dnl
dnl $Id: configure.in,v 1.2 2001-09-27 11:59:45 chris Exp $

AC_PREREQ(2.13)
AC_INIT(bsp_specs)
RTEMS_TOP(../../../../../..)
AC_CONFIG_AUX_DIR(../../../../../..)

RTEMS_CANONICAL_TARGET_CPU
AM_INIT_AUTOMAKE(rtems-c-src-lib-libbsp-hppa1.1-simhppa,$RTEMS_VERSION,no)
AM_MAINTAINER_MODE

RTEMS_PROG_CC_FOR_TARGET
RTEMS_CANONICALIZE_TOOLS
RTEMS_ENABLE_MULTIPROCESSING

RTEMS_ENV_RTEMSBSP
RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
RTEMS_CHECK_BSP_CACHE(RTEMS_BSP)
RTEMS_CHECK_MULTIPROCESSING(RTEMS_BSP)
RTEMS_CANONICAL_HOST

AM_CONDITIONAL(HAS_MP,test "$HAS_MP" = "yes")

AC_CONFIG_SUBDIRS(tools)

RTEMS_PROJECT_ROOT

# Explicitly list all Makefiles here
AC_OUTPUT( 
Makefile
include/Makefile
shmsupp/Makefile
start/Makefile
startup/Makefile
tty/Makefile
wrapup/Makefile)
